
from Products.CMFTestCase import CMFTestCase

CMFTestCase.installProduct('CMFExtFile')
CMFTestCase.setupCMFSite(products=('CMFExtFile',))

from Testing.ZopeTestCase import transaction

from Globals import package_home
here = package_home(globals())

from Products.ExtFile.tests import ExtFileTestCase

gifImage = ExtFileTestCase.gifImage
jpegImage = ExtFileTestCase.jpegImage
tiffImage = ExtFileTestCase.tiffImage
notImage = ExtFileTestCase.notImage
makeFileUpload = ExtFileTestCase.makeFileUpload

default_user = CMFTestCase.default_user
default_password = CMFTestCase.default_password


class CMFExtFileTestCase(CMFTestCase.CMFTestCase, ExtFileTestCase.ExtFileTestCase):

    local_home = here

    def afterSetUp(self):
        ExtFileTestCase.ExtFileTestCase.afterSetUp(self)

    def afterClear(self):
        ExtFileTestCase.ExtFileTestCase.afterClear(self)


class FunctionalTestCase(CMFTestCase.Functional, CMFExtFileTestCase):
    pass

